Package org.eclipse.emf.compare.internal.conflict

# Class AttributeChangeConflictSearch.Change

java.lang.Object
org.eclipse.emf.compare.internal.conflict.AbstractConflictSearch<AttributeChange>
org.eclipse.emf.compare.internal.conflict.AttributeChangeConflictSearch.Change

Enclosing class:
  AttributeChangeConflictSearch

public static class AttributeChangeConflictSearch.Change extends AbstractConflictSearch<AttributeChange>
Search conflicts for `AttributeChange` of kind `DifferenceKind.CHANGE`.

## Field Summary

### Fields inherited from class org.eclipse.emf.compare.internal.conflict.AbstractConflictSearch

`comparison, diff, index, monitor`

## Constructor Summary

Constructors
Constructor
Description
`Change(AttributeChange diff, ComparisonIndex index, Monitor monitor)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`detectConflicts()`
Detect conflicts with `AbstractConflictSearch.diff` in its comparison.

### Methods inherited from class org.eclipse.emf.compare.internal.conflict.AbstractConflictSearch

`areMergeableStringAttributeChanges, conflict, getChangedValue, getDiffsInSameMatch, getFeatureFilter, getMatchResource, getRelatedModelElement, getValue, isContainmentDelete, isFeatureMapChange, isFeatureMapChangeOrMergeableStringAttributeChange, isMergeable, isMergeableText, isStringAttributeChange`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Change

public Change(AttributeChange diff, ComparisonIndex index, Monitor monitor)
Constructor.

Parameters:
  `diff` - The diff to search for conflicts
  `index` - Comparison index, must not be null
  `monitor` - the monitor to report progress to, must not be null

## Method Details

### detectConflicts

public void detectConflicts()
Description copied from class: `AbstractConflictSearch`
Detect conflicts with `AbstractConflictSearch.diff` in its comparison. This will add or update conflicts in `diff`'s comparison.

Specified by:
  `detectConflicts` in class `AbstractConflictSearch<AttributeChange>`